Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Dali » EJB 3.0 annotations not being recognized in eclipse
EJB 3.0 annotations not being recognized in eclipse [message #433537] Sun, 19 February 2006 17:10 Go to next message
Sudhakar is currently offline SudhakarFriend
Messages: 12
Registered: July 2009
Junior Member
I have Eclipse 3.1.2 running on JDK 1.5.06 and my project is set to 5.0
compliance. The example out-of-container EJB 3.0 application I'm using is
located at http://technology.amis.nl/blog/?p=1043 .

Eclipse does not recognise the EJB 3.0 specific annotations such as @Id
and I get compile time errors saying cannot resolve them. I wasn't sure if
Dali was required since it wasn't specified in the tutorial above. Goole
didn't turn up an hints except to command-line compile.

I'd like to know how I can get eclipse to recognize the ejb 3.0
annotations. Would appreciate any help regarding this.

-sudhakar
Re: EJB 3.0 annotations not being recognized in eclipse [message #433538 is a reply to message #433537] Mon, 20 February 2006 13:34 Go to previous messageGo to next message
Max Rydahl Andersen is currently offline Max Rydahl AndersenFriend
Messages: 225
Registered: July 2009
Senior Member
remember to enable JDK 5 for the project and add the ejb3 persistence jars
to the project. The annotations are like any other class - they need to be
on the classpath to work.

/max

> I have Eclipse 3.1.2 running on JDK 1.5.06 and my project is set to 5.0
> compliance. The example out-of-container EJB 3.0 application I'm using
> is located at http://technology.amis.nl/blog/?p=1043 . Eclipse does not
> recognise the EJB 3.0 specific annotations such as @Id and I get compile
> time errors saying cannot resolve them. I wasn't sure if Dali was
> required since it wasn't specified in the tutorial above. Goole didn't
> turn up an hints except to command-line compile.
>
> I'd like to know how I can get eclipse to recognize the ejb 3.0
> annotations. Would appreciate any help regarding this.
>
> -sudhakar
>



--
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/
Re: EJB 3.0 annotations not being recognized in eclipse [message #433541 is a reply to message #433538] Tue, 21 February 2006 02:12 Go to previous messageGo to next message
Sudhakar is currently offline SudhakarFriend
Messages: 12
Registered: July 2009
Junior Member
Thanks! I just realized that I needed the import declarations for
javax.persistence.* .

-sudhakar
Re: EJB 3.0 annotations not being recognized in eclipse [message #433648 is a reply to message #433538] Mon, 10 April 2006 15:24 Go to previous messageGo to next message
Rajesh is currently offline RajeshFriend
Messages: 15
Registered: July 2009
Junior Member
Hi

I just want to enable the annotations in Eclipse 3.1. How can I do that ?

Thanks
Rajesh
Re: EJB 3.0 annotations not being recognized in eclipse [message #433658 is a reply to message #433648] Tue, 11 April 2006 13:49 Go to previous message
Kevin Sutter is currently offline Kevin SutterFriend
Messages: 104
Registered: July 2009
Senior Member
Rajesh,
You need some variation of the EJB3 Persistence jars from one of the early
adopters (kodo, jboss, hibernate, glassfish, etc) and make the jar(s)
available to your Eclipse project(s).

Kevin

Rajesh wrote:

> Hi

> I just want to enable the annotations in Eclipse 3.1. How can I do that ?

> Thanks
> Rajesh
Re: EJB 3.0 annotations not being recognized in eclipse [message #573204 is a reply to message #433537] Mon, 20 February 2006 13:34 Go to previous message
Max Rydahl Andersen is currently offline Max Rydahl AndersenFriend
Messages: 225
Registered: July 2009
Senior Member
remember to enable JDK 5 for the project and add the ejb3 persistence jars
to the project. The annotations are like any other class - they need to be
on the classpath to work.

/max

> I have Eclipse 3.1.2 running on JDK 1.5.06 and my project is set to 5.0
> compliance. The example out-of-container EJB 3.0 application I'm using
> is located at http://technology.amis.nl/blog/?p=1043 . Eclipse does not
> recognise the EJB 3.0 specific annotations such as @Id and I get compile
> time errors saying cannot resolve them. I wasn't sure if Dali was
> required since it wasn't specified in the tutorial above. Goole didn't
> turn up an hints except to command-line compile.
>
> I'd like to know how I can get eclipse to recognize the ejb 3.0
> annotations. Would appreciate any help regarding this.
>
> -sudhakar
>



--
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/
Re: EJB 3.0 annotations not being recognized in eclipse [message #573260 is a reply to message #433538] Tue, 21 February 2006 02:12 Go to previous message
Sudhakar is currently offline SudhakarFriend
Messages: 12
Registered: July 2009
Junior Member
Thanks! I just realized that I needed the import declarations for
javax.persistence.* .

-sudhakar
Re: EJB 3.0 annotations not being recognized in eclipse [message #578328 is a reply to message #433538] Mon, 10 April 2006 15:24 Go to previous message
Rajesh is currently offline RajeshFriend
Messages: 15
Registered: July 2009
Junior Member
Hi

I just want to enable the annotations in Eclipse 3.1. How can I do that ?

Thanks
Rajesh
Re: EJB 3.0 annotations not being recognized in eclipse [message #578466 is a reply to message #433648] Tue, 11 April 2006 13:49 Go to previous message
Kevin Sutter is currently offline Kevin SutterFriend
Messages: 104
Registered: July 2009
Senior Member
Rajesh,
You need some variation of the EJB3 Persistence jars from one of the early
adopters (kodo, jboss, hibernate, glassfish, etc) and make the jar(s)
available to your Eclipse project(s).

Kevin

Rajesh wrote:

> Hi

> I just want to enable the annotations in Eclipse 3.1. How can I do that ?

> Thanks
> Rajesh
Previous Topic:Unalble to see the list of tables to map to my Entity
Next Topic:Hibernate EJB3 (J2SE) vs. Generic EJB 3 Persistence
Goto Forum:
  


Current Time: Fri Nov 28 00:45:12 GMT 2014

Powered by FUDForum. Page generated in 0.02474 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software